DEFINE value
DEFINE BasketX
DEFINE BasketY
DEFINE myX
DEFINE myY

GOTO INIT

// Do nothing until signalled
Waiting:
	SIGNAL GET 11 value
	IF value = 1
		CALL RNET	// rim off
	ENDIF

	SIGNAL GET 12 value
	IF value = 1
		CALL SNET	// swish
	ENDIF

	SIGNAL GET 13 value
	IF value = 1
		CALL FNET	// Fancy swish
	ENDIF

	DRAW CURRENT
	
GOTO Waiting

RNET:
	SOUND START 9				// rim shot
	SEQUENCE SWITCH RNET
	DRAW CURRENT
	DRAW NEXT
	DRAW NEXT
	SIGNAL CLEAR 11
	SEQUENCE SWITCH NET
RETURN

SNET:
	SOUND START 3				// swish
	SEQUENCE SWITCH SNET
	DRAW CURRENT
	DRAW NEXT
	DRAW NEXT
	SIGNAL CLEAR 12
	SEQUENCE SWITCH NET
RETURN

FNET:
	SOUND START 3				// fancy swish
	SEQUENCE SWITCH FNET
	DRAW CURRENT
	DRAW NEXT
	DRAW NEXT
	SIGNAL CLEAR 13
	SEQUENCE SWITCH NET
RETURN

INIT:
	SEQUENCE SWITCH NET
	GOTO Waiting

END SCRIPT	// Net

